package core.api.models.timemanager.taskSchedule.scheduleInfos;

import core.api.models.timemanager.taskgroup.TaskgroupEntityInfo;
import core.entities.timemanager.Task;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class BasicScheduleInfo extends ScheduleInfo{

    private LocalDate scheduleDate;

    public BasicScheduleInfo(long scheduleID, ScheduleType scheduleType, LocalDateTime startTime, LocalDateTime stopTime, int activeMinutes, Task task, List<TaskgroupEntityInfo> taskgroupPath, LocalDate scheduleDate) {
        super(scheduleID, scheduleType, startTime, stopTime, activeMinutes, task, taskgroupPath);
        this.scheduleDate = scheduleDate;
    }

    public BasicScheduleInfo(long scheduleID) {
        super(scheduleID, ScheduleType.BASIC, null, null, 0, null, new ArrayList<>());
    }

    public LocalDate getScheduleDate() {
        return scheduleDate;
    }

    public void setScheduleDate(LocalDate scheduleDate) {
        this.scheduleDate = scheduleDate;
    }
}
